/**
 * Copyright (c) 2020 Guido Kramann
 *
 * This file is part of a library called AOGdogmaWEB - http://www.kramann.info/AOGdogmaWEB.html
 *
 * AOGdogmaWEB is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * AOGdogmaWEB is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the AOGdogmaWEB. If not, see <http://www.gnu.org/licenses/>.
*/
function Player()
{
     //SimplePiano piano;
     var audiosystem;
     var MIDI = null;
     var VERBOSE = true;
     this.init =  function(inaudiosystem,inVERBOSE)
     {
          VERBOSE = inVERBOSE;
          audiosystem = inaudiosystem;
     }
  
     this.step = function()
     {
         if(MIDI!=null)
         {
//document.getElementById("test").value = "player.step() MIDI: "+MIDI[0]+" "+MIDI[1]+" "+MIDI[2]+" ";
             for(var i=0;i<MIDI.length;i++)
             {
                  if(MIDI[i]>0)
                  {
                     //piano.play(MIDI[i]);
                     audiosystem.play(i%3,MIDI[i]);
                     if(VERBOSE)
                         console.log("PLAY MIDI="+MIDI[i]);
                  }   
             }
         }
     }
          
     this.setSource = function(inMIDI)
     {
          MIDI = inMIDI;
     }
}


